Package org.opensaml.saml.ext.saml2mdui

# Interface Logo

All Superinterfaces:
  `LangBearing`, `LocalizedURI`, `SAMLObject`, `XMLObject`, `XSURI`

All Known Implementing Classes:
  `LogoImpl`

public interface Logo extends LocalizedURI, SAMLObject
Localized logo type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`HEIGHT_ATTR_NAME`
Attribute label.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`WIDTH_ATTR_NAME`
Attribute label.

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getHeight()`
Get the height of the logo.
`Integer`
`getWidth()`
Get the width of the logo.
`void`
`setHeight(Integer newHeight)`
Sets the height of the logo.
`void`
`setWidth(Integer newWidth)`
Sets the width of the logo.

### Methods inherited from interface org.opensaml.core.xml.LangBearing

`getXMLLang, setXMLLang`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### HEIGHT_ATTR_NAME

@Nonnull @NotEmpty static final String HEIGHT_ATTR_NAME
Attribute label.

See Also:
  - Constant Field Values

### WIDTH_ATTR_NAME

@Nonnull @NotEmpty static final String WIDTH_ATTR_NAME
Attribute label.

See Also:
  - Constant Field Values

## Method Details

### getHeight

@Nullable Integer getHeight()
Get the height of the logo.

Returns:
  the height of the logo

### setHeight

void setHeight(@Nullable Integer newHeight)
Sets the height of the logo.

Parameters:
  `newHeight` - the height of the logo

### getWidth

@Nullable Integer getWidth()
Get the width of the logo.

Returns:
  the width of the logo

### setWidth

void setWidth(@Nullable Integer newWidth)
Sets the width of the logo.

Parameters:
  `newWidth` - the height of the logo